# Uses of Enum Class
org.jfree.chart3d.graphics2d.RefPt2D

Packages that use RefPt2D
Package
Description
org.jfree.chart3d.graphics2d
Utility classes related to 2D graphics.
org.jfree.chart3d.marker
Provides value and range marker support for the axes on category and XYZ plots.
org.jfree.chart3d.table
Classes and interfaces for constructing tables for display to the user.

## Uses of RefPt2D in org.jfree.chart3d.graphics2d

Methods in org.jfree.chart3d.graphics2d that return RefPt2D
Modifier and Type
Method
Description
`RefPt2D`
Anchor2D.`getRefPt()`
Returns the reference point.
`static RefPt2D`
RefPt2D.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RefPt2D[]`
RefPt2D.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.jfree.chart3d.graphics2d with parameters of type RefPt2D
Modifier and Type
Method
Description
`static Fit2D`
Fit2D.`getNoScalingFitter(RefPt2D refPt)`
Returns a fitter for the specified reference point.
Constructors in org.jfree.chart3d.graphics2d with parameters of type RefPt2D
Modifier
Constructor
Description
``
`Anchor2D(RefPt2D refPt)`
Creates a new `Anchor2D` instance with the specified reference point and offsets of `(4.0, 4.0)`.
``
`Anchor2D(RefPt2D refPt, Offset2D offset)`
Creates a new anchor.

## Uses of RefPt2D in org.jfree.chart3d.marker

Methods in org.jfree.chart3d.marker with parameters of type RefPt2D
Modifier and Type
Method
Description
`protected static TextAnchor`
AbstractMarker.`deriveTextAnchor(RefPt2D refPt, boolean vflip)`
A utility method that returns a suitable text anchor for a given reference point.
`protected static TextAnchor`
AbstractMarker.`deriveTextAnchorForLine(RefPt2D refPt, boolean vflip)`
A utility method that returns a suitable text anchor for a given reference point relative to a line (rather than a rectangle which is the normal case).

## Uses of RefPt2D in org.jfree.chart3d.table

Methods in org.jfree.chart3d.table that return RefPt2D
Modifier and Type
Method
Description
`RefPt2D`
AbstractTableElement.`getRefPoint()`
Returns the anchor point used to align the element with the bounding rectangle within which it is drawn.
`RefPt2D`
TableElement.`getRefPoint()`
Returns the reference point used to align the element with the bounding rectangle within which it is drawn.
Methods in org.jfree.chart3d.table with parameters of type RefPt2D
Modifier and Type
Method
Description
`void`
AbstractTableElement.`setRefPoint(RefPt2D refPt)`
Sets the reference point.